#include <stdio.h>

int main()
{
  int nx, ny, max, x[nx], y[ny], z[max], i;

  printf("Unesite duzinu prvog niza: ");
  scanf("%d", &nx);
  printf("Unesite duzinu drugog niza: ");
  scanf("%d", &ny);

  if(nx>ny)
  {
      max = nx;
  }
  else
  {
      max = ny;
  }

  printf("Unesite vrednost prvog niza: ");
  for(i=0;i<nx;i++)
  {
      scanf("%d", &x[i]);
  }

  printf("Unesite vrednost drugog niza: ");
  for(i=0;i<ny;i++)
  {
      scanf("%d", &y[i]);
  }

  for(i=1;i=max;i++)
  {
      if(x[nx-i]>y[ny-i])
      {
          z[max-i] = x[nx-i];
      }
      else
      {
          z[max-i] = y[ny-i];
      }
  }

  for(i=0;i<max;i++)
  {
      printf("%d", z[i]);
  }


    return 0;
}